CREATE TABLE je_gr_ar_ap_trnovr_itf (
    REQUEST_ID                 NUMBER(18, 0),
    PROGRAM_NAME               VARCHAR2(120),
    PROGRAM_APP_NAME           VARCHAR2(200),
    INV_TRX_ID                 NUMBER       ,
    CUST_SUP_TYPE_CODE         VARCHAR2(120),
    CUST_SUP_NAME              VARCHAR2(320)    NOT NULL,
    CUST_SUP_NUMBER            VARCHAR2(120),
    TAX_PAYER_ID               VARCHAR2(200),
    VAT_REGISTRATION_NUMBER    VARCHAR2(80) ,
    SUPPLIER_SITE_CODE         VARCHAR2(60) ,
    PROFESSION                 VARCHAR2(120),
    ADDRESS_LINE1              VARCHAR2(960),
    ADDRESS_LINE2              VARCHAR2(960),
    ADDRESS_LINE3              VARCHAR2(960),
    CITY                       VARCHAR2(240),
    STATE                      VARCHAR2(240),
    ZIP                        VARCHAR2(240),
    PROVINCE                   VARCHAR2(240),
    COUNTRY                    VARCHAR2(240),
    INV_TRX_NUMBER             VARCHAR2(200)    NOT NULL,
    INV_TRX_DATE               DATE             NOT NULL,
    INV_TRX_CURRENCY_CODE      VARCHAR2(60) ,
    INV_TRX_AMOUNT             NUMBER       ,
    INV_TRX_TYPE               VARCHAR2(100)    NOT NULL,
    ACCTD_INV_TRX_AMOUNT       NUMBER       ,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    REQUEST_ID                 NUMBER(18, 0),
    PROGRAM_NAME               VARCHAR2(120),
    PROGRAM_APP_NAME           VARCHAR2(200),
    INV_TRX_ID                 NUMBER       ,
    CUST_SUP_TYPE_CODE         VARCHAR2(120),
    CUST_SUP_NAME              VARCHAR2(320)    NOT NULL,
    CUST_SUP_NUMBER            VARCHAR2(120),
    TAX_PAYER_ID               VARCHAR2(200),
    VAT_REGISTRATION_NUMBER    VARCHAR2(80) ,
    SUPPLIER_SITE_CODE         VARCHAR2(60) ,
    PROFESSION                 VARCHAR2(120),
    ADDRESS_LINE1              VARCHAR2(960),
    ADDRESS_LINE2              VARCHAR2(960),
    ADDRESS_LINE3              VARCHAR2(960),
    CITY                       VARCHAR2(240),
    STATE                      VARCHAR2(240),
    ZIP                        VARCHAR2(240),
    PROVINCE                   VARCHAR2(240),
    COUNTRY                    VARCHAR2(240),
    INV_TRX_NUMBER             VARCHAR2(200)    NOT NULL,
    INV_TRX_DATE               DATE             NOT NULL,
    INV_TRX_CURRENCY_CODE      VARCHAR2(60) ,
    INV_TRX_AMOUNT             NUMBER       ,
    INV_TRX_TYPE               VARCHAR2(100)    NOT NULL,
    ACCTD_INV_TRX_AMOUNT       NUMBER       ,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_je_gr_ar_ap_trnovr_itf PRIMARY KEY (INV_TRX_ID, CUST_SUP_NUMBER, INV_TRX_ID, CUST_SUP_NUMBER)
);
